import { NgModule, Optional, SkipSelf } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpModule } from '@angular/http';

import {AuthService} from "./auth.service";


import { throwIfAlreadyLoaded } from './module-import-guard';
import {AuthGuard} from "./auth-guard.service";

@NgModule({
  imports: [CommonModule,HttpModule],
  declarations: [],
  providers: [AuthService,AuthGuard]
})
export class CoreModule {
  constructor( @Optional() @SkipSelf() parentModule: CoreModule) {
    throwIfAlreadyLoaded(parentModule, 'CoreModule');
  }
}
