import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {MaterialModule} from "@angular/material";
import {FormsModule} from "@angular/forms";
import {SimpleButton} from "./components/simpleButton.component";
import {ListComponent} from "./components/list.component";



@NgModule({
  imports: [
    CommonModule
  ],
  exports:[
      MaterialModule,
      FormsModule,
      SimpleButton,
      ListComponent
  ],
  declarations: [SimpleButton,ListComponent]
})
export class SharedModule { }
