import { Component, OnInit,Input, Output, EventEmitter } from '@angular/core';

@Component({
    selector: 'simple-button',
    template: `
        <div>
            {{inputLabel}}
            <button (click)="clickHandler()" style="background-color: dodgerblue">Fire</button>
         <div>   
        `
})
export class SimpleButton implements OnInit {

    constructor() {
    }
    @Input() inputLabel:string = '';

    @Output()
    buttonClickEvent = new EventEmitter<Object>();

    sampleData:Array = [1,2,3];


    clickHandler(){
        this.sampleData.push(0);
        var tempObj = {
            data:this.sampleData
        }
        this.buttonClickEvent.emit(tempObj)
    }

    ngOnInit() {

    }

}
